<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.StatementsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Statements">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="admin_user_id" property="adminUserId" />
        <result column="admin_user_name" property="adminUserName" />
        <result column="station_id" property="stationId" />
        <result column="station_name" property="stationName" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="total_power" property="totalPower" />
        <result column="actual_power" property="actualPower" />
        <result column="elec_loss_power" property="elecLossPower" />
        <result column="total_money" property="totalMoney" />
        <result column="elec_money" property="elecMoney" />
        <result column="actual_elec_money" property="actualElecMoney" />
        <result column="elec_loss_money" property="elecLossMoney" />
        <result column="service_money" property="serviceMoney" />
        <result column="discount_amount" property="discountAmount" />
        <result column="service_money_discount" property="serviceMoneyDiscount" />
        <result column="actual_service_money" property="actualServiceMoney" />
        <result column="splitting_proportion" property="splittingProportion" />
        <result column="splitting_amount" property="splittingAmount" />
        <result column="elec_loss_proportion" property="elecLossProportion" />
        <result column="elec_loss_amount" property="elecLossAmount" />
        <result column="vat_rate" property="vatRate" />
        <result column="vat_amount" property="vatAmount" />
        <result column="actual_splitting_amount" property="actualSplittingAmount" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,company_id,admin_user_id, admin_user_name, station_id, station_name, start_time, end_time, total_power, actual_power, elec_loss_power,
        total_money, elec_money, actual_elec_money, elec_loss_money, service_money, discount_amount, service_money_discount,
        actual_service_money, splitting_proportion, splitting_amount, elec_loss_proportion,elec_loss_amount,vat_rate, vat_amount, actual_splitting_amount, status, remark, create_time, update_time
    </sql>

</mapper>
